<div [formGroup]="resourceForm">
  <nz-card class="PTNL-handle">
    <h3>{{ 'development.resource-management.PTNL' | translate }}</h3>
    <div nz-row [nzGutter]="[0, 24]">
      <div nz-col class="gutter-row" nzLg="24">
        <span class="title-section">{{ 'development.resource-management.consultancyUnit' | translate }}</span>
        <textarea
          nz-input
          placeholder="{{ 'development.resource-management.consultancyUnit' | translate }}"
          formControlName="currentUnitComment"
          [nzAutosize]="{ minRows: 4, maxRows: 6 }"
        ></textarea>
      </div>
      <div nz-col class="gutter-row" nzLg="24">
        <div class="block-center-between">
          <span class="title-section">{{ 'development.resource-management.consultancyTCNS' | translate }}</span>
          <button nz-button nzSize="large" nzType="primary" *ngIf="typeAction !== screenType.detail" (click)="summarize()">
           Tổng hợp nội dung
          </button>
        </div>
        <quill-editor [styles]="{ height: '250px' }" formControlName="hrComment"></quill-editor>
      </div>
    </div>
  </nz-card>

  <nz-card class="reportCard">
    <div nz-row [nzGutter]="32">
      <div nz-col class="gutter-row" nzLg="20">
        <h3>{{ 'development.resource-management.TCNSReport' | translate }}</h3>
      </div>
      <div nz-col class="gutter-row" nzLg="4">

      </div>
    </div>
    <div nz-row [nzGutter]="[30, 24]">
      <div nz-col class="gutter-row" nzLg="8">
        <mb-input-text
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="8">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="statementDate"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="8">
        <span class="title-section">
          {{ 'development.proposed-unit.reportCard.attachReport' | translate }}
        </span><br />
        <nz-upload [nzDisabled]="typeAction === screenType.detail" nzListType="text" [nzMultiple]="false" [nzBeforeUpload]="beforeUpload" [nzRemove]='doRemoveFile'>
          <button nz-button class="reportCard__uploadBtn" nzType="primary">
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </button>
        </nz-upload>
      </div>
      <div nz-col class="gutter-row" nzLg="8" >
        <span class="title-section">
          {{ 'development.resource-management.decisionTB' | translate }} </span
        ><br />
        <nz-upload [nzDisabled]="typeAction === screenType.detail" nzListType="text" [nzMultiple]="false" [nzBeforeUpload]="beforeUpload1" [nzRemove]='doRemoveFile'>
          <button nz-button class="reportCard__uploadBtn" nzType="primary">
            <span>
              <em nz-icon nzType="upload"></em>
            </span>
          </button>
        </nz-upload>
      </div>
    </div>
    <!-- <div nz-row [nzGutter]="[48, 48]" class="proposeOriginal">
      <div nz-col class="gutter-row" nzLg="7">
        <label nz-checkbox formControlName="proposeOriginalComponent">
          {{ 'development.resource-management.proposeOriginalComponent' | translate }}
        </label>
      </div>
      <div nz-col class="gutter-row" nzLg="7">
        <a class="reportCard__detailLink">
          {{ 'development.resource-management.proposeOriginalDetail' | translate }}
        </a>
      </div>
      <div nz-col class="gutter-row" nzLg="7"></div>
      <div nz-col class="gutter-row" nzLg="7">
        <label nz-checkbox formControlName="proposeMergeComponent">
          {{ 'development.resource-management.proposeMergeComponent' | translate }}
        </label>
      </div>
      <div nz-col class="gutter-row" nzLg="7">
        <a class="reportCard__detailLink">
          {{ 'development.resource-management.proposeMergeDetail' | translate }}
        </a>
      </div>
    </div> -->
  </nz-card>
</div>
